import { innerRoutes, privateRoutes } from './routes';
import { FG_Plugin } from '@flaschengeist/types';
import { defineAsyncComponent } from 'vue';

const plugin: FG_Plugin.Plugin = {
  id: 'schedule',
  name: 'Schedule',
  innerRoutes,
  internalRoutes: privateRoutes,
  requiredModules: [['events']],
  version: '0.0.1',
  widgets: [
    {
      priority: 0,
      name: 'stats',
      permissions: [],
      widget: defineAsyncComponent(() => import('./components/Widget.vue')),
    },
  ],
};

export default plugin;
